Foreman - Bug #18800

content_facet_attributes no longer optional on api/hosts
03/06/2017 03:49 AM - Klaas D

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Host groups
Target version: 1.14.3
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4364
Description
Hi,

I'm having an issue after the update to katello 3.3/foreman 1.14. I've been using a simple json to create testservers via api after
upgrading and my json stopped working:

# cat testserver. json

{

"host" : {

"name" : "el7testvmd001",

"location_id" : "2",

"organization_id" : "1",

"compute_resource_id" : "1",

"compute_profile_id" : "1",

"hostgroup_id" : "1",

"build" : true,

"interfaces_attributes" : [ {
"identifier" : "ethO",
"name" : "el7testvmdOO1",
"managed" : true,
"primary" : true,
"provision" : true,
"subnet_id" : 9,
"domain_id" : 1

b A
"identifier" : "ethl",
"name" : "el7testvmdO0la",
"managed" : true,
"primary" : false,
"provision" : false,
"subnet_id" : 1,
"domain_id" : 1

b A
"identifier" : "eth2",
"name" : "el7testvmdO0ls",
"managed" : true,
"primary" : false,
"provision" : false,
"subnet_id" : 6,
"domain_id" : 1

b A
"identifier" : "eth3",
"name" : "el7testvmdO001ln",
"managed" : true,
"primary" : false,
"provision" : false,
"subnet_id" : 5,
"domain_id" : 1

bl

}
# curl —-H "Accept:application/json,version=2" -H "Content-Type:application/Jjson" -X POST -u admin:
password -k —-data Qtestserver.json https://foremanserver.tld/api/hosts

{

"error": {"message":"ActiveModel: :ForbiddenAttributesError"}
}
if | add
"content_facet_attributes" : {},

it works as expected again
I'm not sure if this change was on purpose and its a documentation fix or if the code needs to be touched.

Greetings
Klaas

Related issues:
Related to Discovery - Bug #18791: Discovery v8.0.1 provisioning throws Activ... Closed 03/03/2017
Related to Discovery - Bug #20797: Provisioning errors with undefined method ... Resolved 08/29/2017

Associated revisions

Revision ff74¢383 - 03/10/2017 04:52 AM - Lukas Zapletal

Fixes #18800 - strong params no longer breaks inherited attrs

Revision 0b79692b - 03/28/2017 11:47 AM - Lukas Zapletal

Fixes #18800 - strong params no longer breaks inherited attrs

(cherry picked from commit ff74c383574a43952a9¢9¢371f407a20e5f7bc5a)

History

#1 - 03/08/2017 07:40 AM - Klaas D
- Related to Bug #18791: Discovery v8.0.1 provisioning throws ActiveModel::ForbiddenAttributesError when Katello is installed. added

#2 - 03/08/2017 07:43 AM - Lukas Zapletal
- Project changed from Katello to Foreman

- Category set to Host groups

| believe you are hitting same issue as in #18791. | think we need to call to_h in the method. | am changing project as this is core feature.

#3 - 03/08/2017 07:53 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/4364 added

#4 - 03/10/2017 04:54 AM - Timo Goebel

- translation missing: en.field_release set to 227

I'd suggest putting this on 1.14.3. If anybody object, feel free to change the parameter.

#5 - 03/10/2017 05:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset {f74c383574a43952a9c¢9¢c371f407a20e5f7bc5a.
https://projects.theforeman.org/issues/18791
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ff74c383574a43952a9c9c371f407a20e5f7bc5a

#6 - 08/30/2017 08:59 AM - Lukas Zapletal
- Related to Bug #20797: Provisioning errors with undefined method permit! for ActiveSupport::HashWithindifferentAccess added
